@use 'sass:math';

@import './helpers/mixins';

/**
 * * Development settings scss
**/

// BEGIN: Настройка цвета сайта
$colorPrimary: var(--primary-color);
$colorSuccess: var(--success-color);
$colorDanger: var(--danger-color);
$colorWarning: var(--warning-color);
$colorLight: var(--light-color);
$colorGray: var(--gray-color);
$colorDark: var(--dark-color);
$bodyColor: #64748b;
$bodyColorDark: #a1a1aa;
$bodyBackgroundColor: #f1f4fa;
$bodyBackgroundColorDark: #09090b;
// END: Настройка цвета сайта

// BEGIN: Настройка шрифтов
$fontSize: rem(16);
$fontFamily: 'Nunito Sans';
// END: Настройка шрифтов

// BEGIN: Настройка заголовков
$h-font: $fontFamily;
$h-weight: bold;

$h1: (
  'size': 2.875rem,
  //'size': 1.75rem,
  'weight': $h-weight,
  'font': $h-font
);

$h2: (
  'size': 2.375rem,
  //'size': 1.5rem,
  'weight': $h-weight,
  'font': $h-font
);

$h3: (
  'size': 1.75rem,
  // 'size': 1.25rem,
  'weight': $h-weight,
  'font': $h-font
);

$h4: (
  'size': 1.5rem,
  //'size': 1rem,
  'weight': $h-weight,
  'font': $h-font
);

$h5: (
  'size': 1.125rem,
  'weight': $h-weight,
  'font': $h-font
);

$h6: (
  'size': 0.9375rem,
  'weight': $h-weight,
  'font': $h-font
);
// END: Настройка заголовков

// BEGIN: Настройка breakpoint
$md1: 991px;
$md2: 768px;
$md3: 576px;
$md4: 400px;
// END: Настройка breakpoint

// BEGIN: Настройка ширины экрана
$minWidth: 320; // Минимальная ширина страницы
$maxWidth: 1920; // Ширина полотна (макета)
$maxWidthContainer: 1370; // Ширина ограничивающего контейнера (0 = нет ограничения)
$containerPadding: 30; // Общий отступ у контейнера (30 = по 15px слева и справа, 0 = нет отступа)
$containerWidth: $maxWidthContainer + $containerPadding; // Ширина срабатывания первого брейкпоинта
// END: Настройка ширины экрана

// BEGIN: Настройка breakpoints
$pc: em(
  $containerWidth
); // Пк, ноутбуки и некоторые планшеты в горизонтальном положении
$tablet: em(991.98); // Планшеты, некоторые телефоны в горизонтальном положении
$mobile: em(767.98); // Телефоны L
$mobileSmall: em(479.98); // Телефоны S
// END: Настройка breakpoints

$md1: $tablet; // Планшеты, некоторые телефоны в горизонтальном положении
$md2: $mobile; // Телефоны L
$md3: $mobileSmall; // Телефоны S
// END: Настройка breakpoints

// Тип адаптива:
// 1 = Отзывчивость (у контейнера нет брейкпоинтов),
// 2 = По брейк-поинтам (контейнер меняет свою ширину по брейк-поинтам)
$responsiveType: 1;

$transition-animate: cubic-bezier(0.075, 0.82, 0.165, 1);
